Bug 124232 - Interactions and hyperlinks to objects are not preserved when you save a document in OOXML format
Summary: Interactions and hyperlinks to objects are not preserved when you save a docu...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: medium normal
Assignee: Tibor Nagy (NISZ)
URL:
Whiteboard: target:7.3.0
Keywords:
Depends on:
Blocks: PPTX-Hyperlink
  Show dependency treegraph
 
Reported: 2019-03-20 22:10 UTC by haevalencia
Modified: 2021-11-08 10:14 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Use this document to save it as OOXML and test (40.34 KB, application/vnd.oasis.opendocument.presentation)
2019-03-20 22:12 UTC, haevalencia
Details

Note You need to log in before you can comment on or make changes to this bug.
Description haevalencia 2019-03-20 22:10:31 UTC
Description:
When adding an interaction or hyperlink to any object in Impress, for example "go to the first slide" is not preserved when saving or exporting the current document to the OOXML format.

This issue is exposed by replicating the following report:
https://bugs.documentfoundation.org/show_bug.cgi?id=103562

Steps to Reproduce:
1.Create a new document with 2 slides
2.Add any object like a shape in the second slide
3.Add a hyperlink or interaction to go to the first slide
4.Save the file in a OOXML format (powerpoint 2007-2019 or presentation office open xml)

Actual Results:
The object doesn't have the hyperlink or interaction added previously. If you use the text/hyperlink combination to do the test, you will see that the object shows the hyperlink style, but it doesn't do anything

Expected Results:
Hyperlinks or added interactions are preserved and work the same way they are saved as an OpenDocument format.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Comment 1 haevalencia 2019-03-20 22:12:12 UTC
Created attachment 150134 [details]
Use this document to save it as OOXML and test
Comment 2 Xisco Faulí 2019-05-13 13:55:31 UTC
I can reproduce it in

Version: 6.3.0.0.alpha0+
Build ID: 630db80d17616d635cf2e5f1d5a0852428b794a3
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

and

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

@Mark Hung, I thought you might be interested in this issue...
Comment 3 QA Administrators 2021-05-13 03:58:14 UTC Comment hidden (obsolete)
Comment 4 NISZ LibreOffice Team 2021-07-30 09:05:11 UTC
Still a problem in:

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: ac80ec817eb07c77a51bc0729985a473c734182e
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL

This is the export pair of bug 141704 which is about PPTX import of interactions.
Comment 5 Commit Notification 2021-10-13 14:40:41 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/73f26b73aaf562bf934249460480b4a60937a438

tdf#124232 PPTX export: fix interactions and hyperlinks on images

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 NISZ LibreOffice Team 2021-11-08 10:14:50 UTC
Verified in: 

Version: 7.3.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 73334560b2dd2d60ac58d2cc2b1a5295490b03e1
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded